import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: "/",
      name: "Home",
      component: () => import("@/pages/home/login")
    },
    {
      path: "/product",
      name: "Product",
      component: () => import("@/pages/product/index")
    },
    {
      path: "/main",
      name: "main",
      component: () => import("@/pages/main/index")
    },
    {
      path: "/details",
      name: "details",
      component: () => import("@/pages/main/DetailsPage")
    },
    {
      path: "/monitoring",
      name: "monitorPage",
      component: () => import("@/pages/monitoring/index")
    },
    {
      path: "/my",
      name: "my",
      component: () => import("@/pages/personal/index")
    },
    {
      path: "/advice",
      name: "doctorAdvice",
      component: () => import("@/pages/advice/index")
    },
    {
      path: "/EditPersonal",
      name: "EditPersonal",
      component: () => import("@/pages/personal/EditPersonal")
    },
    {
      path: "/ElectronicSignature",
      name: "ElectronicSignature",
      component: () => import("@/pages/personal/ElectronicSignature")
    },
    {
      path: "/Print",
      name: "Print",
      component: () => import("@/pages/main/PrintIndex")
    },
    {
      path: "/add_urgent_schedule",
      name: "AddUrgentSchedule",
      component: () => import("@/pages/main/add_urgent_schedule")
    },
    {
      path: "/Prints",
      name: "Prints",
      component: () => import("@/pages/main/Print")
    },
    {
      path: "/forgetPassword",
      name: "forgetPassword",
      component: () => import("@/pages/personal/ForgetPassword")
    },
    {
      path: "/changePassword",
      name: "changePassword",
      component: () => import("@/pages/personal/ChangePassword")
    },
    {
      path: "/privacy",
      name: "privacy",
      component: () => import("@/pages/privacy/index")
    }
  ]
});
